Subject: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook

From: Tassilo Horn <[email-masked]>
Date: Mon, 10 Aug 2015 08:30:48 +0200

Arash Esbati <[email-masked]> writes:

> I've installed the latest version from git with your patch and get the
> following when I open a tex file:
>
>     (void-function LaTeX-preview-setup)
>
> Recipe:
>
> 1)  Start emacs with
>     emacs --eval '(setq debug-on-error t)' -Q &
>
> 2)  Eval in scratch buffer
>     (load "auctex.el" nil t t)

How can you do that without telling Emacs where auctex.el resides?

> 3)  Open a tex file and emacs says:
>
> Debugger entered--Lisp error: (void-function LaTeX-preview-setup)

`LaTeX-preview-setup' is autoloaded from preview-latex.el.  So it relies
on

  (load "preview-latex.el" nil t t)

also being in your ~/.emacs.  Although I can omit that but still don't
get that error...

But I guess it wouldn't hurt to wrap the call in an fboundp check...

Bye,
Tassilo